Bug Hunting Session
Bug 53113 - DOCX filter loses shape containing text
Summary: DOCX filter loses shape containing text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: Other All
: high critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks: mab3.5
  Show dependency treegraph
 
Reported: 2012-08-04 05:22 UTC by ape
Modified: 2013-12-12 15:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Archive with two files and one picture (266.94 KB, application/x-7z-compressed)
2012-08-04 05:22 UTC, ape
Details
Shapes (layers) are placed in reverse order (149.74 KB, application/zip)
2012-08-15 13:45 UTC, ape
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ape 2012-08-04 05:22:20 UTC
Created attachment 65109 [details]
Archive with two files and one picture

master-LibO_3.7.0.0.alpha0+; Build ID: 51802d; Date: 2012-08-03_23.16.18
DOCX filter loses shape containing text.

1) Export to OOXML:
 a) Open the file "Untitled 1.odt" (into attachment).
 b) This file Save as "Untitled 1.docx".
 c) Reopen or reload a DOCX file. (You look an empty page!)
 d) Open the file "Untitled 1.docx" by Microsoft Word or Word Viewer.
 e) Compare the view of file to LibreOffice Writer and Microsoft Word or Word Viewer.

2)Import of OOXML:
 a) Open the file "Untitled 1.odt" Microsoft Office 2002\03\07 with the extension ODF Add-in for Office. (Opens as a DOCX File.) If you do not have such a program, then go to the point "2.c".
 b) This file save as "Untitled 1tmp.docx".
 c) Open the file "Untitled 1tmp.docx" (into attachment) by LibreOffice Writer.
 d) Open the file "Untitled 1tmp.docx" by Microsoft Word or Word Viewer.
 e) Compare the view of file to LibreOffice Writer and Microsoft Word or Word Viewer. (Shapes are absent, there are only blocks of text.)
--
If you do not have Microsoft Word or Word Viewer, then look at the picture "compare.png" (into attachment). Unfortunately, I could not split this error on several bugs and I’ll hope to the help of The Community.
Comment 1 ape 2012-08-04 06:17:48 UTC
I think that there are such errors Writer:
a) Information about shapes (into DOCX file) is read incorrectly or not read.
b) Text box of shapes are not passed into the DOCX file.
c) Some shapes are not passed into DOCX file, and some shapes are passed no correctly.
Comment 2 Joel Madero 2012-08-09 22:57:11 UTC
I haven't confirmed the bug but assuming it is our bug I am still downgrading this from critical to something that fits better.

Normal: Could prevent professional quality work for some users

Medium: Leaving as default for normal bugs. I don't think that there is any reason to make it higher than this nor a reason to lower it.

I follow the flowchart provided here to triage, feel free to use similar method when reporting bugs, helps us prioritize and get a grasp on the bugs in LibreOffice. 

https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

*Please note that just because it's not listed as a Critical does not mean that we are ignoring the bug, it just means that this isn't a bug that we should panic over. Critical/Blocker implies that it's so serious that users are losing data or having other major issues with the product. 


Thanks for reporting!
Comment 3 ape 2012-08-10 03:51:18 UTC
(In reply to comment #2)
> I haven't confirmed the bug but assuming it is our bug I am still downgrading
> this from critical to something that fits better.
> 
> Normal: Could prevent professional quality work for some users
> 
> Medium: Leaving as default for normal bugs. I don't think that there is any
> reason to make it higher than this nor a reason to lower it.
> 
> I follow the flowchart provided here to triage, feel free to use similar method
> when reporting bugs, helps us prioritize and get a grasp on the bugs in
> LibreOffice. 
> 
> https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg 
---
1. I have confirmed the bug:

OS - Windows XP (32 and 64 bit); Lubuntu-12.04 (32 and 64 bit)
LibreOffice 3.5.6rc2; 3.6.0.4; 3.7.0alpha+

2. This is critical error (see your hyper link):

a) This Bug about loss of data: "Text into Shape" (DOCX export) and "Shape if it containes text" (DOCX import).

b) OOXML text document (DOCX) is ISO format of text documents. Therefore, it's used by most users.

c) This is Writer's bug. Writer is major component of LibreOffice.

d) "Microsoft Office 10, 11 or 12 with ODF Add-in" to convert ODT file containing a shape with a text block with no errors. But LibreOffice-3.5;6;7 does not know how to do it.
--
ape
Comment 4 ape 2012-08-10 07:23:35 UTC
(In reply to comment #3)
> d) "Microsoft Office 10, 11 or 12 with ODF Add-in" to convert ODT file
> containing a shape with a text block with no errors. But LibreOffice-3.5;6;7
> does not know how to do it.
--
Sorry, Microsoft Office 12(2007)sp3 with ODF Add-in only make this work.

ape
Comment 5 Joel Madero 2012-08-12 16:52:33 UTC
My mistake, I don't think I fully understood the issue. I'll leave it at the Critical and see if a developer can be assigned to it. Thanks for being patient and explaining the issue.
Comment 6 Not Assigned 2012-08-13 15:48:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7fd28f4de77d12acb68a6b7f5fb578fedd8b76bb

fdo#53113 oox::VMLExport: allow a callback to be registered for shape text
Comment 7 Not Assigned 2012-08-13 15:48:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c374a17fd440865ecceb1867c4142adf3d7fbd3

fdo#53113 docx export: initial shape text support
Comment 8 Miklos Vajna 2012-08-13 15:50:25 UTC
Shape text should be now ok during export; the middle shape and the shape backgrounds are still missing.
Comment 9 ape 2012-08-13 19:25:50 UTC
(In reply to comment #8)
> Shape text should be now ok during export; the middle shape and the shape
> backgrounds are still missing.
--
Thanks, Miklos!
 I will create new error messages about shape backgrounds and shapes, which are not transferred or transferred to another shape. But it has become possible only after the fixing of this bug.
--
ape
Comment 10 Joel Madero 2012-08-13 19:26:40 UTC
Thanks Miklos. Again apologize for the misunderstanding of the bug. Glad it's getting resolved so quickly
Comment 11 Not Assigned 2012-08-14 10:25:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4dd8aa2630074b479b216da8ee7b50ed0bf78511

fdo#53113 vml export: handle custom segment types
Comment 12 Not Assigned 2012-08-14 14:32:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05d86fcdd9eafac6e337e2117502662688118ea0

fdo#53113 DOCX: export fillBlip shape property
Comment 13 Miklos Vajna 2012-08-14 15:51:33 UTC
This is now resolved in master, the docx export result of the bugdoc looks OK to me.

Review request for -3-6: https://gerrit.libreoffice.org/411

Please, let's handle the import problems in a separate bug, I already had to fix 3 independent problems. :-)

Thanks,

Miklos
Comment 14 Not Assigned 2012-08-15 10:51:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97be55676b87647c099fd316ab528966a35ad2c9

fdo#53113 testcase
Comment 15 ape 2012-08-15 13:45:16 UTC
Created attachment 65602 [details]
Shapes (layers) are placed in reverse order

(In reply to comment #14)
> Miklos Vajna committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/?id=97be55676b87647c099fd316ab528966a35ad2c9
> 
> fdo#53113 testcase
---

Hi, Miklos!

About testing (LibO-dev 3.7.0.0.alpha0+; Build ID: 065b591):
1. Export works well. One small defect: shapes (layers) are placed in reverse order.
2. Import filter's error has been preserved.
--
Note:
1. See the file and picture in attachment.
2. Ignore The Block Arrows, because this is another bug.
---
ape
Comment 16 Miklos Vajna 2012-08-16 08:18:44 UTC
ape,

Again, please understand that one bug should refer to one problem, this one already refers to 3 independent issues; if you still have problems, let's track it as a separate bug -- there is no good in making this situation even worse.

Thanks,

Miklos
Comment 17 Roman Eisele 2012-08-16 08:52:34 UTC
Set Version field according to comment #3 (the oldest version for which this bug was confirmed is 3.5.6.2, even if it may be older).
Comment 18 ape 2012-08-17 05:56:05 UTC
(In reply to comment #16)
> ape,
> 
> Again, please understand that one bug should refer to one problem, this one
> already refers to 3 independent issues; if you still have problems, let's track
> it as a separate bug -- there is no good in making this situation even worse.
> 
> Thanks,
> 
> Miklos
 
Miklos!
Sorry, see bug 53662
--
ape
Comment 19 Korrawit Pruegsanusak 2012-09-08 06:00:01 UTC
The fix is *not* in -3-5 nor -3-6 branches => remove incorrect target from whiteboard. (See backport request in comment #13)